.theme-wrapper {
  padding: 10px;
}

.theme-card {
  background-color: var(--ion-foreground-color);
  // border-radius: 1px;
  border-radius: 5px;
  // margin: 10px;
  padding: 15px;
  -webkit-box-shadow: var(--card-shadow);
  -moz-box-shadow: var(--card-shadow);
  box-shadow: var(--card-shadow);

  .theme-header {
    position: relative;
    padding: 5px 0 10px;
    font-size: 20px;
    font-weight: 500;
    letter-spacing: 0.0125em;
    color: var(--fg-hover);

    .load-indicator {
      position: absolute;
      right: 0;
      top: 0;
      padding: 3px;
    }
  }

  .theme-content {
    padding: 5px 0 0;
  }

  .theme-footer {
    padding: 0 0 5px;
  }
}

.theme-block {
  padding: 15px;

  .theme-header {
    position: relative;
    padding: 0 0 10px;
    font-size: 22px;
    font-weight: 600;
    letter-spacing: 0.0125em;

    .theme-tabs {
      display: flex;
      padding: 10px 0;
    }
  }

  .theme-content {
    padding: 5px 0 0;
  }

  .theme-footer {
    padding: 0 0 5px;
  }
}

.modal-shadow {
  box-shadow: var(--modal-shadow);
}

.alert-wrapper {
  background: var(--ion-foreground-color) !important;
}

.example-code-block {
  display: inline-block;
  background-color: var(--bg-codeblock) !important;
  color: var(--fg-codeblock);
  min-height: 100px;
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;

  .comment {
    display: inline-block;
    color: var(--fg-codeblock-comment);
  }

  .variable {
    display: inline-block;
    color: var(--fg-codeblock-variable);
  }
}
